OpenNMS API 1.2.9

## org.opennms.netmgt.rrd
Class RrdStresser

    java.lang.Object
      org.opennms.netmgt.rrd.RrdStresser

class RrdStresser
extends java.lang.Object

Field Summary
`(package private) static int` `currFileNum`
`(package private) static int[]` `dataPosition`
`(package private) static java.lang.String` `EXTENSION`
`(package private) static java.lang.String` `FACTORY_NAME`
`(package private) static int` `FILE_COUNT`
`(package private) static int` `FILES_PER_DIR`
`(package private) static long` `filesPerZero`
`(package private) static java.util.Date` `firstUpdateComplete`
`(package private) static int` `MAX_UPDATES`
`(package private) static int` `MODULUS`
`(package private) static boolean` `QUEUE_CREATES`
`(package private) static RrdStrategy` `rrd`
`(package private) static int` `RRD_DATASOURCE_COUNT`
`(package private) static java.lang.String` `RRD_DATASOURCE_NAME`
`(package private) static java.lang.String` `RRD_PATH`
`(package private) static long` `RRD_START`
`(package private) static long` `RRD_STEP`
`(package private) static int` `THREAD_COUNT`
`(package private) static long` `TIME_END`
`(package private) static long` `TIME_START`
`private static java.lang.String` `UPDATE_FILE`
`(package private) static int` `UPDATE_TIME`
`(package private) static int` `updateCount`
`(package private) static java.lang.String[]` `updateData`
`(package private) static int` `UPDATES_PER_OPEN`
`(package private) static java.util.Date` `updateStart`
`(package private) static boolean` `USE_JNI`
`(package private) static boolean` `USE_QUEUE`
`(package private) static int` `ZERO_FILES`

Constructor Summary
`(package private)` `RrdStresser()`

Method Summary
`private static void` `countUpdate()`
`void` `execute(java.lang.String[] args)`
`(package private) static java.lang.String` `getFileName(int fileNum)`
`private static java.lang.String` `getNextLine(int fileNum)`
`static void` `main(java.lang.String[] args)`
`private static java.lang.String` `makeZeroUpdate(int fileNum, java.lang.String update)`
`private static boolean` `moreUpdates()`
`(package private) static int` `nextFileNum()`
`(package private) static void` `print(java.lang.String message)`
`private static void` `printHeader()`
`private static void` `printStats()`
`private static void` `rrdCloseFile(java.lang.Object rrdFile)`
`private static java.lang.Object` `rrdCreateDefinition(int fileNum)`
`private static void` `rrdCreateFile(java.lang.Object rrdDef)`
`private static java.lang.String` `rrdGetStats()`
`private static void` `rrdInitialize()`
`private static java.lang.Object` `rrdOpenFile(java.lang.String fileName)`
`private static void` `rrdUpdateFile(java.lang.Object rrdFile, java.lang.String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currFileNum

    static int currFileNum

### dataPosition

    static int[] dataPosition

### FACTORY_NAME

    static final java.lang.String FACTORY_NAME

### FILE_COUNT

    static final int FILE_COUNT

### ZERO_FILES

    static final int ZERO_FILES

### FILES_PER_DIR

    static final int FILES_PER_DIR

### firstUpdateComplete

    static java.util.Date firstUpdateComplete

### MAX_UPDATES

    static final int MAX_UPDATES

### MODULUS

    static final int MODULUS

### RRD_DATASOURCE_COUNT

    static final int RRD_DATASOURCE_COUNT

### RRD_DATASOURCE_NAME

    static final java.lang.String RRD_DATASOURCE_NAME

See Also:
  Constant Field Values

### RRD_PATH

    static final java.lang.String RRD_PATH

### RRD_START

    static final long RRD_START

See Also:
  Constant Field Values

### RRD_STEP

    static final long RRD_STEP

### THREAD_COUNT

    static final int THREAD_COUNT

### TIME_END

    static final long TIME_END

See Also:
  Constant Field Values

### TIME_START

    static final long TIME_START

See Also:
  Constant Field Values

### UPDATE_FILE

    private static final java.lang.String UPDATE_FILE

### updateCount

    static int updateCount

### updateData

    static java.lang.String[] updateData

### UPDATES_PER_OPEN

    static final int UPDATES_PER_OPEN

### updateStart

    static java.util.Date updateStart

### USE_JNI

    static final boolean USE_JNI

### USE_QUEUE

    static final boolean USE_QUEUE

### QUEUE_CREATES

    static final boolean QUEUE_CREATES

### UPDATE_TIME

    static final int UPDATE_TIME

### EXTENSION

    static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### filesPerZero

    static long filesPerZero

### rrd

    static RrdStrategy rrd

Constructor Detail

### RrdStresser

    RrdStresser()

Method Detail

### countUpdate

    private static void countUpdate()

### printStats

    private static void printStats()

### getFileName

    static java.lang.String getFileName(int fileNum)

### getNextLine

    private static java.lang.String getNextLine(int fileNum)

### makeZeroUpdate

    private static java.lang.String makeZeroUpdate(int fileNum,
                                                   java.lang.String update)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### moreUpdates

    private static boolean moreUpdates()

### nextFileNum

    static int nextFileNum()

### printHeader

    private static void printHeader()

### print

    static void print(java.lang.String message)

### rrdCloseFile

    private static void rrdCloseFile(java.lang.Object rrdFile)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rrdCreateDefinition

    private static java.lang.Object rrdCreateDefinition(int fileNum)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rrdCreateFile

    private static void rrdCreateFile(java.lang.Object rrdDef)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rrdInitialize

    private static void rrdInitialize()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rrdOpenFile

    private static java.lang.Object rrdOpenFile(java.lang.String fileName)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rrdGetStats

    private static java.lang.String rrdGetStats()

### rrdUpdateFile

    private static void rrdUpdateFile(java.lang.Object rrdFile,
                                      java.lang.String data)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### execute

    public void execute(java.lang.String[] args)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.